Bug 250036 - SynCE Software Manager missing dependencies
SynCE Software Manager missing dependencies
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: synce-software-manager (Show other bugs)
7
All Linux
low Severity low
: ---
: ---
Assigned To: Andreas Bierfert
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-07-29 17:37 EDT by Jeroen van Meeuwen
Modified: 2007-12-10 15:46 EST (History)
0 users

See Also:
Fixed In Version: 0.9.0-9.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-12-10 15:46:26 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jeroen van Meeuwen 2007-07-29 17:37:28 EDT
Description of problem:
yum install synce-software-manager does not install all (required) dependencies

Version-Release number of selected component (if applicable):
synce-software-manager-0.9.0-7.fc6

How reproducible:
yum -y install synce-software-manager

Steps to Reproduce:
1. # yum -y install synce-software-manager
2. $ synce-software-manager (error while loading shared libraries: librapi.so.2)
3. # yum whatprovides librapi.so.2
4. # yum -y install librapi
5. $ synce-software-manager (error while loading shared libraries: libsynce.so.0)
6. # yum -y install libsynce
  
Actual results:
Missing (required) libraries (twice)

Expected results:
Start synce-software-manager

Additional info:
Comment 1 Jeroen van Meeuwen 2007-07-29 17:39:04 EDT
Another system says:

[root@elwood ~]# yum install synce synce-gnomevfs synce-serial
synce-software-manager synce-trayicon
Setting up Install Process
Parsing package install arguments
Resolving Dependencies
--> Running transaction check
---> Package synce-trayicon.i386 0:0.9.0-8.fc6 set to be updated
---> Package synce.i386 0:0.9.1-10.fc7 set to be updated
---> Package synce-serial.i386 0:0.9.1-2.fc7 set to be updated
---> Package synce-gnomevfs.i386 0:0.9.0-5.fc6 set to be updated
---> Package synce-software-manager.i386 0:0.9.0-7.fc6 set to be updated
--> Processing Dependency: libmimedir for package: synce
--> Processing Dependency: vdccm for package: synce-serial
--> Restarting Dependency Resolution with new changes.
--> Running transaction check
---> Package synce-serial.i386 0:0.9.1-2.fc7 set to be updated
---> Package synce.i386 0:0.9.1-10.fc7 set to be updated
---> Package libmimedir-static.i386 0:0.4-3.fc7 set to be updated
---> Package vdccm.i386 0:0.9.3-1.fc7 set to be updated

Dependencies Resolved

=============================================================================
 Package                 Arch       Version          Repository        Size 
=============================================================================
Installing:
 synce                   i386       0.9.1-10.fc7     fedora            4.3 k
 synce-gnomevfs          i386       0.9.0-5.fc6      fedora             21 k
 synce-serial            i386       0.9.1-2.fc7      fedora             13 k
 synce-software-manager  i386       0.9.0-7.fc6      fedora             18 k
 synce-trayicon          i386       0.9.0-8.fc6      fedora             29 k
Installing for dependencies:
 libmimedir-static       i386       0.4-3.fc7        fedora             16 k
 vdccm                   i386       0.9.3-1.fc7      fedora             72 k

Transaction Summary
=============================================================================
Install      7 Package(s)         
Update       0 Package(s)         
Remove       0 Package(s)         

Total download size: 174 k
Is this ok [y/N]: y
Downloading Packages:
(1/7): synce-software-man 100% |=========================|  18 kB    00:00     
(2/7): vdccm-0.9.3-1.fc7. 100% |=========================|  72 kB    00:00     
(3/7): libmimedir-static- 100% |=========================|  16 kB    00:00     
(4/7): synce-0.9.1-10.fc7 100% |=========================| 4.3 kB    00:00     
(5/7): synce-trayicon-0.9 100% |=========================|  29 kB    00:00     
(6/7): synce-gnomevfs-0.9 100% |=========================|  21 kB    00:00     
(7/7): synce-serial-0.9.1 100% |=========================|  13 kB    00:00     
Running Transaction Test
Finished Transaction Test
Transaction Test Succeeded
Running Transaction
  Installing: libmimedir-static            ####################### [ 1/10] 
  Installing: synce                        ####################### [ 2/10] 
  Installing: synce-gnomevfs               ####################### [ 3/10] 
  Installing: synce-trayicon               ####################### [ 4/10] 
  Installing: synce-software-manager       ####################### [ 5/10] 
  Installing: vdccm                        ####################### [ 6/10] 
  Installing: synce-serial                 ####################### [ 7/10] 
  Removing  : libsynce                     ####################### [ 8/10]
  Removing  : librapi                      ####################### [ 9/10]
  Removing  : librra                       ####################### [10/10]

Comment 2 Fedora Update System 2007-12-06 15:45:13 EST
synce-software-manager-0.9.0-9.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update synce-software-manager'
Comment 3 Fedora Update System 2007-12-06 15:50:25 EST
synce-software-manager-0.9.0-9.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update synce-software-manager'
Comment 4 Fedora Update System 2007-12-10 15:46:00 EST
synce-software-manager-0.9.0-9.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 5 Fedora Update System 2007-12-10 15:46:24 EST
synce-software-manager-0.9.0-9.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.